%define short_name shout
Summary: Icecast library
Name: libshout
Version: 2.2.2
Release: 1%{dist}
License: GNU
Group: Development/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel
Requires: libvorbis
Requires: libogg

%package devel
Group: Development/Libraries
Summary: Icecast library

%description
Icecast library

%description devel
Icecast library

%prep
%setup 

%build
%configure
make

%install
%makeinstall
rm $RPM_BUILD_ROOT/usr/share/doc/%{name}/README
rm $RPM_BUILD_ROOT/usr/share/doc/%{name}/NEWS
rm $RPM_BUILD_ROOT/usr/share/doc/%{name}/COPYING
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}/*c $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS COPYING INSTALL README
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4

%files devel
%defattr(-,root,root)
%{_includedir}/%{short_name}/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la

%changelog
* Tue Apr 1 2008 Thomas Uphill <uphill@ias.edu>
- initial build
